include:
  - template: Security/SAST.gitlab-ci.yml
  - template: Dependency-Scanning.gitlab-ci.yml
  - template: Secret-Detection.gitlab-ci.yml
  - template: Docker.gitlab-ci.yml

stages:
  - lint
  - test
  - container-build

.python-req:
  image: python:$VERSION
  script:
    - pip install -r requirements_dev.txt
  parallel:
    matrix:
      - VERSION: ['3.8', '3.9', '3.10', '3.11']   # https://hub.docker.com/_/python

lint-python:
  extends: .python-req
  stage: lint
  script:
    - !reference [.python-req, script]
    - pyflakes .

sast:
  stage: test

# Change Docker build to manual non-blocking
docker-build:
  stage: container-build
  rules:
    - if: '$CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH'
      #when: manual
      #allow_failure: true



